Redmine - Patch #7770

use unless in control structures where it improves readability
2011-03-04 01:43 - Anonymous

Status: Closed Start date: 2011-03-04
Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version:

Description
Use unless or until in control structures instead of if ! or while ! where it improves readability.

Associated revisions

Revision 22987 - 2024-08-25 10:44 - Go MAEDA
Fix RuboCop offenses Style/Negated|f and Style/NegatedWhile (#39887, #7770).

History

#1 - 2011-03-04 07:22 - Jean-Baptiste Barth

| think if blah.present? is easier to read than unless blah.blank? or if Iblah.blank?, so we might switch to this in some cases you point out.

#2 - 2011-03-04 14:31 - Anonymous

yes that does makes more sense indeed. | looked it up here , present? is internally defined as !blank?

#3 - 2024-08-25 10:45 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Fixed in r22987.

Files

code_cleanup_ifnot_unless.diff 12.5 KB 2011-03-04 Anonymous
